Skip to navigation

Update PowerForm

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

powerFormIdstringRequired

Request

This endpoint expects an object: powerForm

createdBystringOptional
createdDateTimestringOptional
Indicates the date and time the item was created.
emailBodystringOptional

Specifies the email body of the message sent to the recipient.

Maximum length: 10000 characters.

emailSubjectstringOptional

Specifies the subject of the email that is sent to all recipients.

See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject.

envelopeslist of objectsOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
instructionsstringOptional
isActivestringOptional
lastUsedstringOptional
limitUseIntervalstringOptional
limitUseIntervalEnabledstringOptional
limitUseIntervalUnitsstringOptional
maxUseEnabledstringOptional
namestringOptional
powerFormIdstringOptional
powerFormUrlstringOptional
recipientslist of objectsOptional
senderNamestringOptional
senderUserIdstringOptional
signingModestringOptional
templateIdstringOptional
The ID of the template being accessed.
templateNamestringOptional
timesUsedstringOptional
uristringOptional
usesRemainingstringOptional

Response

Successful response.
createdBystringOptional
createdDateTimestringOptional
Indicates the date and time the item was created.
emailBodystringOptional

Specifies the email body of the message sent to the recipient.

Maximum length: 10000 characters.

emailSubjectstringOptional

Specifies the subject of the email that is sent to all recipients.

See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject.

envelopeslist of objectsOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
instructionsstringOptional
isActivestringOptional
lastUsedstringOptional
limitUseIntervalstringOptional
limitUseIntervalEnabledstringOptional
limitUseIntervalUnitsstringOptional
maxUseEnabledstringOptional
namestringOptional
powerFormIdstringOptional
powerFormUrlstringOptional
recipientslist of objectsOptional
senderNamestringOptional
senderUserIdstringOptional
signingModestringOptional
templateIdstringOptional
The ID of the template being accessed.
templateNamestringOptional
timesUsedstringOptional
uristringOptional
usesRemainingstringOptional

Errors

400
Bad Request Error